package com.css.simulation.resource.system.mapper;

import api.common.pojo.param.system.SceneImportPageParam;
import api.common.pojo.po.system.SceneImportPO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SceneImportMapper {

    List<SceneImportPO> getSceneImporPagetList(SceneImportPageParam po);

    List<SceneImportPO> checkName(SceneImportPO po);

    void insert(SceneImportPO po);

    void update(SceneImportPO po);

    void updateStatus(SceneImportPO po);

    void updateInfo(SceneImportPO po);

    @Delete("")
    void deleteSceneByTaskId(String taskId);

    @Select("select scene_type\n" +
            "from scene_import_task\n" +
            "where id = #{taskId}")
    String selectSceneTypeByTaskId(@Param("taskId") String taskId);

    void deleteNaturalByTaskId(@Param("po")SceneImportPO sceneImportPO);
}
